Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javazoom.download.util
Class Config

    java.lang.Object
      javazoom.download.util.Config

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DatabaseConfig, FolderConfig, ZipConfig

public abstract class Config
extends java.lang.Object
implements java.io.Serializable

This class defines the a contract for Download4J configurations. It's a set of properties and vector of FileInfo.

See Also:
  Serialized Form

Constructor Summary
`Config()`

Method Summary
`void` | `addListener(DownloadListener lst)`
`java.lang.String` | `getDescription()` Return description.
`DownloadSource` | `getDownloadSource()` Return download source instance.
`java.util.Vector` | `getFiles()` Returns Download4J FileInfo.
`java.lang.String` | `getId()` Return id.
`java.util.Vector` | `getListeners()`
`java.util.Properties` | `getMimes()` Return mimes types.
`java.util.Properties` | `getProperties()` Returns Download4J properties.
`java.util.Vector` | `listFiles()` Return all files available in the Config without subfolders.
`abstract java.util.Vector` | `listFiles(boolean enablesubfolders)` List all files available in the Config.
`void` | `notifyCounters(FileInfo fi, boolean complete)` Notifies counter for the file.
`void` | `notifyListeners()`
`void` | `removeListener(DownloadListener lst)`
`void` | `setDescription(java.lang.String d)` Set config description.
`void` | `setDownloadSource(DownloadSource src)` Set download source instance.
`void` | `setFiles(java.util.Vector v)` Sets Download4J FileInfo.
`void` | `setId(java.lang.String id)` Set config id.
`void` | `setMimes(java.util.Properties props)` Set mimes types.
`void` | `setProperties(java.util.Properties props)` Sets Download4J properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Config

    public Config()

Method Detail

### getProperties

    public java.util.Properties getProperties()

  Returns Download4J properties.

  Returns:
    Config properties

### getMimes

    public java.util.Properties getMimes()

  Return mimes types.

  Returns:

### setProperties

    public void setProperties(java.util.Properties props)

  Sets Download4J properties.

  Parameters:
    `props` - Input properties.

### setMimes

    public void setMimes(java.util.Properties props)

  Set mimes types.

  Parameters:
    `props` -

### getFiles

    public java.util.Vector getFiles()

  Returns Download4J FileInfo.

  Returns:
    Vector or FileInfo.

### listFiles

    public java.util.Vector listFiles()

  Return all files available in the Config without subfolders.

  Returns:
    Vector

### listFiles

    public abstract java.util.Vector listFiles(boolean enablesubfolders)

  List all files available in the Config.

  Parameters:
    `enablesubfolders` - boolean
  Returns:
    Vector

### setFiles

    public void setFiles(java.util.Vector v)

  Sets Download4J FileInfo.

  Parameters:
    `v` - Input Vector of FileInfo.

### setId

    public void setId(java.lang.String id)

  Set config id.

  Parameters:
    `id` -

### getId

    public java.lang.String getId()

  Return id.

  Returns:

### setDescription

    public void setDescription(java.lang.String d)

  Set config description.

### getDescription

    public java.lang.String getDescription()

  Return description.

  Returns:

### getDownloadSource

    public DownloadSource getDownloadSource()

  Return download source instance.

  Returns:

### setDownloadSource

    public void setDownloadSource(DownloadSource src)

  Set download source instance.

  Parameters:
    `src` -

### getListeners

    public java.util.Vector getListeners()

### addListener

    public void addListener(DownloadListener lst)

### removeListener

    public void removeListener(DownloadListener lst)

### notifyListeners

    public void notifyListeners()

### notifyCounters

    public void notifyCounters(FileInfo fi,
                               boolean complete)

  Notifies counter for the file.

  Parameters:
    `fi` - FileInfo to notify
    `complete` - state

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD